- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TDbCommandBuilder
TDbMetaData
TDbTableColumn
TDbTableInfo
TMssqlCommandBuilder
TMysqlCommandBuilder
TOracleCommandBuilder
TOracleTableInfo
TPgsqlCommandBuilder
TSqliteCommandBuilder

Keyword

# Class TDbTableColumn

    TComponent
       |
       --TDbTableColumn

#### Direct Known Sub-classes:

TMssqlTableColumn , TMysqlTableColumn , TPgsqlTableColumn , TOracleTableColumn , TSqliteTableColumn

TDbTableColumn class describes the column meta data of the schema for a database table.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Constructor Summary
public | __construct Array Sets the table column meta data.

Method Summary
boolean | getAllowNull ()
string | getColumnId ()
integer | getColumnIndex ()
string | getColumnName ()
string | getColumnSize ()
string | getDbType ()
mixed | getDefaultValue ()
protected mixed | getInfo ( string $name, mixed $default)
boolean | getIsExcluded ()
boolean | getIsForeignKey ()
boolean | getIsPrimaryKey ()
void | getMaxiumNumericConstraint ()
string | getNumericPrecision ()
string | getNumericScale ()
void | getPdoType ( integer 0)
string | getPHPType () Returns the derived PHP primitive type from the db type. Default returns 'string'.
void | getSequenceName ( string 0)
boolean | hasSequence ()
protected void | setInfo ( string $name, mixed $value)

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary
string | UNDEFINED_VALUE |

Constructor Details

## __construct

public __construct | Array

Sets the table column meta data.

Method Details

## getAllowNull

public boolean getAllowNull | ()

Output
boolean | specifies whether value Null is allowed, default is false.
Exception

## getColumnId

public string getColumnId | ()

Output
string | name of the column with quoted identifier.
Exception

## getColumnIndex

public integer getColumnIndex | ()

Output
integer | zero-based ordinal position of the column in the table.
Exception

## getColumnName

public string getColumnName | ()

Output
string | name of the column in the table (identifier quoted).
Exception

## getColumnSize

public string getColumnSize | ()

Output
string | size of the column.
Exception

## getDbType

public string getDbType | ()

Output
string | column type.
Exception

## getDefaultValue

public mixed getDefaultValue | ()

Output
mixed | default column value if column value was null.
Exception

## getInfo

protected mixed getInfo | (string $name , mixed $default )

Input
string | $name | information array key name
mixed | $default | default value if information array value is null
Output
mixed | information array value.
Exception

## getIsExcluded

public boolean getIsExcluded | ()

Output
boolean | whether this column is excluded from insert and update.
Exception

## getIsForeignKey

public boolean getIsForeignKey | ()

Output
boolean | whether this column is a foreign key, default is false.
Exception

## getIsPrimaryKey

public boolean getIsPrimaryKey | ()

Output
boolean | whether this column is a primary key for the table, default is false.
Exception

## getMaxiumNumericConstraint

public void getMaxiumNumericConstraint | ()

Output
Exception

## getNumericPrecision

public string getNumericPrecision | ()

Output
string | precision of the column data, if the data is numeric.
Exception

## getNumericScale

public string getNumericScale | ()

Output
string | scale of the column data, if the data is numeric.
Exception

## getPdoType

public void getPdoType | (integer 0 )

Input
integer | 0 | PDO bind param/value types, default returns string.
Output
Exception

## getPHPType

public string getPHPType | ()

Returns the derived PHP primitive type from the db type. Default returns 'string'.

Output
string | derived PHP primitive type from the column db type.
Exception

## getSequenceName

public void getSequenceName | (string 0 )

Input
string | 0 | sequence name, only applicable if column is a sequence
Output
Exception

## hasSequence

public boolean hasSequence | ()

Output
boolean | whether the column is a sequence.
Exception

## setInfo

protected void setInfo | (string $name , mixed $value )

Input
string | $name | information array key name
mixed | $value | new information array value.
Output
Exception

Constant Details

### UNDEFINED_VALUE

#### Type:

string

#### Value:

INF